import { defineStore } from 'pinia'
import { ContactsState, UserItemDto } from './types'
const CallState = {
    callIn: 'callIn',
    callOut: 'callout',
    calling: 'calling',
    idle: 'idle'
}
const useContactsStore = defineStore('contacts', {
    state: (): ContactsState => {
        return {
            showWait: false, //是否等待接通
            chooseUser: undefined, //当前选中的联系人
            userList: [] //所有联系人
        }
    },

    getters: {
        //获取通话用户
    },

    actions: {
        //设置当前选中联系人
        setChooseUser(info: UserItemDto | undefined) {
            this.chooseUser = info
        },
        //修改通话状态
        changeWait(val: boolean) {
            this.showWait = val
        },
        //获取全部联系人
        setUserList(info: UserItemDto[]) {
            this.userList = info
        }
    },

    persist: {
        storage: sessionStorage // 存储的类型，默认localStorage
    }
})

export default useContactsStore
